#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Copyright 2018-2024 Institute of Computer Science of the Czech Academy of
# Sciences, Prague, Czech Republic. Authors: Pavel Krc, Martin Bures, Jaroslav
# Resler.
#
# This file is part of PALM-METEO.
#
# PALM-METEO is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# PALM-METEO is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# PALM-METEO. If not, see <https://www.gnu.org/licenses/>.

"""PALM meteo input processor.

Creates PALM dynamic driver from multiple sources.
"""

from argparse import ArgumentParser
from core import run


argp = ArgumentParser(description=__doc__)
argp.add_argument('-c', '--config', help='configuration file')
verbosity = argp.add_mutually_exclusive_group()
verbosity.add_argument('-v', '--verbose', action='store_const',
        dest='verbosity_arg', const=2, help='increase verbosity')
verbosity.add_argument('-s', '--silent', action='store_const',
        dest='verbosity_arg', const=0, help='print only errors')

argv = argp.parse_args()

run(argv)
